Page MenuHomePhabricator

Enable adding signature with Visual Editor in Finnish Wikipedia Wikiprojekti namespace
Closed, ResolvedPublic

Description

The community discussion has been started in https://fi.wikipedia.org/wiki/Wikipedia:Kahvihuone_(tekniikka)#Wikiprojektin_sivulla_ei_voi_lis%C3%A4t%C3%A4_allekirjoitusta_visuaalisella_muokkaimella.

The namespace is dedicated for wikiprojects and would not disturb the normal workings of the wiki. The projects include editathons where first-timers would benefit from not needing to use wikicode

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2019, 11:35 AM
Stryn added a subscriber: Stryn.May 23 2019, 11:43 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
(See https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes how to request such kinds of changes. Thanks!)

What exactly is "VE signature"?

Stryn added a comment.May 23 2019, 1:37 PM

The signature button in visual editor that is is grayed out by default (and thus can't be used) outside of talk pages. It would be useful however in "Wikiprojekti" namespace as there's many projects where people can show their interest by adding a signature.

Susannaanas renamed this task from Enable VE signature in Finnish Wikipedia Wikiproject namespace to Enable VE signature in Finnish Wikipedia Wikiprojekti namespace.May 23 2019, 5:23 PM
Susannaanas renamed this task from Enable VE signature in Finnish Wikipedia Wikiprojekti namespace to Enable adding signature with Visual Editor in Finnish Wikipedia Wikiprojekti namespace.May 23 2019, 5:25 PM
Urbanecm claimed this task.May 24 2019, 8:13 PM
Urbanecm triaged this task as Medium priority.
Urbanecm moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
Urbanecm added a subscriber: Urbanecm.

Blocked on community consensus.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 24 2019, 8:15 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

The discussion started yesterday. Please ping us here in a week or two (depending on what's adequate for fiwiki), we'll start the process.

A week has passed, going to process.

Change 513740 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add Wikiprojekti namespace to wgExtraSignatureNamespaces for fiwiki

https://gerrit.wikimedia.org/r/513740

Scheduled for deployment for EU SWAT, today, 11:00-12:00 UTC.

Change 513740 merged by Urbanecm:
[operations/mediawiki-config@master] Add Wikiprojekti namespace to wgExtraSignatureNamespaces for fiwiki

https://gerrit.wikimedia.org/r/513740

Mentioned in SAL (#wikimedia-operations) [2019-06-03T11:15:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:513740|Add Wikiprojekti namespace to wgExtraSignatureNamespaces for fiwiki]] (T224215) (duration: 00m 47s)

Urbanecm closed this task as Resolved.Jun 3 2019, 11:16 AM

Deployed.